# Vimium PKI

Public key infrastructure (PKI) related resources.

## Certificate Authorities
- Vimium Root CA (root.cer)
- Vimium Intermediate CA (intermediate.cer)

### Adding to Trust Stores
#### Arch Linux
`sudo trust anchor --store root.cer`

#### Debian
```
sudo mkdir -p /usr/local/share/ca-certificates/extra
openssl x509 -in root.cer -inform PEM -out root.crt
sudo cp root.crt /usr/local/share/ca-certificates/extra/root.crt
sudo update-ca-certificates
```

#### iOS
Visit [https://pki.vimium.com/root.cer](https://pki.vimium.com/root.cer) in Safari.
1. Go to Settings > General > About > Certificate Trust Settings
1. Turn on trust for "Vimium Root CA" under "Enable full trust for root certificates"

#### macOS
`sudo security add-trusted-cert -d -p ssl -p basic -k /Library/Keychains/System.keychain root.cer`

#### Windows
`certutil -addstore root root.cer`

## Web
Public documentation and files at [http://pki.vimium.com](http://pki.vimium.com).

> Available on HTTP for robots and HTTPS for browsers following HSTS
